Subject: Re: linux-next: manual merge of the staging tree with the target-merge tree

From: "Nicholas A. Bellinger" <[email-masked]>
Date: Fri, 20 Jul 2012 11:14:04 -0700

On Fri, 2012-07-20 at 11:03 -0700, Greg KH wrote:
> On Fri, Jul 20, 2012 at 10:52:58AM -0700, Nicholas A. Bellinger wrote:
> > Hi Greg,
> > 

<SNIP>

> -- a/drivers/staging/Kconfig
> > > > +++ b/drivers/staging/Kconfig
> > > > @@@ -132,6 -132,8 +132,10 @@@ source "drivers/staging/ipack/Kconfig
> > > >   
> > > >   source "drivers/staging/gdm72xx/Kconfig"
> > > >   
> > > > + source "drivers/staging/csr/Kconfig"
> > > > + 
> > > > + source "drivers/staging/omap-thermal/Kconfig"
> > > > + 
> > > >  +source "drivers/vhost/Kconfig.tcm"
> > > 
> > > Why is someone putting a non drivers/staging/ Kconfig file here in
> > > drivers/staging/Kconfig?  That's not ok at all.
> > > 
> > > Target people, please just depend on CONFIG_STAGING if you want to do
> > > that, but don't mess with files in the drivers/staging/ directory for no
> > > good reason at all.
> > > 
> > 
> > This was a request from MST (CC'ed) in order to have TCM_VHOST show up
> > under the staging configuration options..
> 
> If you really want it to show up there, then send me a patch adding the
> code to drivers/staging/.  Otherwise it really makes no sense.
> 

<nod>

> > If that's really not what should be done, I'm happy to drop this part
> > and just use CONFIG_STAGING again.
> 
> Why are you wanting to depend on CONFIG_STAGING in the first place?
> What is wrong with the code that it can't be merged "properly" now?
> Don't use CONFIG_STAGING as a "crutch" unless you really need it.
> 

This was a request by MST because we've not agreed on the upstream
userspace bits yet, so he asked to mark this code as STAGING so that it
can be removed if we can't end up agreeing with the QEMU folks.

At this point I don't see why we can't work out of userspace bits, but
MST preferred adding the STAGING bit for tcm_vhost to just to be sure.

--nab